Subject: Re: [PATCH] [POWERPC] 8xx: mpc885ads pcmcia support

From: Segher Boessenkool <[email-masked]>
Date: Sun, 6 May 2007 15:26:48 +0200

>> Since this node's children's interrupt representation
>> is different from the node's parent's, you need an
>> interrupt-map in here.  You also forgot "#address-cells"
>> and I think you need "ranges" too?
>>
> Well, in fact it does not introduce SoC device different from any 
> others
> represented inside soc885 node. mk_int_int_mask() is just special
> way of enabling irq for PCMCIA stuff, in addition to normal pic stuff.

I have no idea what you mean here.  Care to try again?

> Emm. Why would I need #address-cells and ranges here? it uses parent 
> bus address space...

"#address-cells" is 3 for pcmcia, so not the default
value (which is 2), so you need to put it in.  The
value of this property is not inherited from the
parent node.

Absence of a "ranges" property means the child bus is
*not* direct mapped into the parent bus space.  If the
mapping you need is 1-1, put in an empty "ranges"
property; if not, you have to put the correct mapping
in.

Segher